Apple please make iCloud available to Snow leopard users

Apple are forcing millions of Snow leopard users to upgrade to Lion at a cost of $30 as they will be shutting down MobileMe in June 2012 and all users are forced to use iCloud which does not support Snow leopard or older operating systems.  Ironically it does support Windows Vista as well as windows 7.
Loyal Apple users show your disapproval by signing this petition...
We, your loyal users throughout the world, request that you please offer iCloud support to Snow Leopard.  Many of us don't want to or simply cannot upgrade to Lion.  
Please don't alienate us now as you pursue more lucrative markets.
Thank you
Janet Kleyn
Sign Petition

privacy policy

By signing, you accept Care2's terms of service.

Having problems signing this? Let us know.